#include <bits/stdc++.h>

using namespace std;
bool uslov(int a, int b ){
    if(abs(a)<abs(b)){
        return true ;
    }
    else{
        return false ;
    }
}

int main()
{
    int t ;
    cin >> t ;
    for(int k=0 ; k<t ; k++){
        int n ;
        cin >> n ;
        int a[n] ;
        int b[n] ;
        int a1[n] ;
        int b1[n] ;
        for(int i=0 ; i<n ; i++ ){
            cin >> a[i] ;
            a1[i]=a[i] ;
        }
        for(int i=0 ; i<n ; i++){
            cin >> b[i] ;
            b1[i]=b[i] ;
        }
        sort(a,a+n,uslov) ;
        sort(b,b+n,uslov) ;
        for(int i=0 ; i<n ; i++){
            int ind=lower_bound(a,a+n,a1[i],uslov)-a ;
            if((ind-i)%2!=0){
                a[ind]=-a[ind] ;
            }
        }
        for(int i=0 ; i<n ; i++){
            int ind=lower_bound(b,b+n,b1[i],uslov)-b ;
            if((ind-i)%2!=0){
                b[ind]=-b[ind] ;
            }
        }
        int t=1 ;
        for(int i=0 ; i<n ; i++){
            if(a[i]!=b[i]){
                t=0 ;
                break ;
            }
        }
        if(t==1){
            cout << "DA"  << endl ;
        }
        else{
            cout << "NE" << endl ;
        }
        sort(a,a+n,uslov) ;
        sort(b,b+n,uslov) ;
    }
    return 0;
}